2026-04-01 19:23:26 UTC
129 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:9e25a522bd306d3a88dfba3c93624b7550ef7a1bce9312161d03421bcd516012 - 29.57% (38.2 MB)
[#001] sha256:639fb976ea451c962b81b1849caac3877bf53c1b1dfce70005d2b0229b59294b - 0.01% (9.51 KB)
[#002] sha256:b1ccb7bc8ba92e7c42087a2242bda6b2931a8fbcf2e96e676d2a44b6039b2296 - 0.0% (608 Bytes)
[#003] sha256:c9fcd41823e156e6071d0d88122b1d6e474286b7dd31bd553e49558bf62c05c2 - 0.0% (614 Bytes)
[#004] sha256:cb048404866dfa9a77cb243bbaeec9b512fb5363200b2a7cd506d905d80b8055 - 54.47% (70.3 MB)
[#005] sha256:65ab72d5756f698d5cc84e8fbfc5f507d1eed7611e409b069b1f184a7715d19d - 0.0% (123 Bytes)
[#006] sha256:570527a7ba2de44e8399e98d7f12a8712fc28f6b25ff4467fd053e2d4f4749f5 - 0.0% (5.42 KB)
[#007] sha256:3732560ba9e0c20f10a66161d5fa872807cfa73b37e6d593a2d269f3db0aa757 - 0.16% (210 KB)
[#008] sha256:1be8c863a4e18d316da45ead8df61768694c648a86d7f9657bb7ac87a16655d0 - 0.0% (509 Bytes)
[#009] sha256:3ec11d236c41d207ae5f2c1094e702a003caff88e6762148d2e03c7fc9e7fa3e - 0.0% (1.09 KB)
[#010] sha256:eb7899e96b3de3864db2cd47363607ea2cd1773ff18e601bd0952c5ce22357a6 - 15.79% (20.4 MB)
[#011] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2026-03-19 17:02:51 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.7" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) ENV container oci
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) COPY dir:2cb6e43856cb0ad61489a8c64de98c252b875727203d4889684da9c688115b96 in /
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-03-19 17:02:52 UTC/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json
2026-03-19 17:02:53 UTC/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json
2026-03-19 17:02:53 UTC/bin/sh -c #(nop) COPY file:289d553fe837e625c2f8fb767ab91c5be2d390395d3693929ca213958efa8fc8 in /usr/share/buildinfo/labels.json
2026-03-19 17:02:53 UTC/bin/sh -c #(nop) COPY file:289d553fe837e625c2f8fb767ab91c5be2d390395d3693929ca213958efa8fc8 in /root/buildinfo/labels.json
2026-03-19 17:02:53 UTC/bin/sh -c #(nop) LABEL "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="d0c250a501ab44b94ebea3e751fcaa45749a08a2" "org.opencontainers.image.revision"="d0c250a501ab44b94ebea3e751fcaa45749a08a2" "build-date"="2026-03-19T17:02:39Z" "org.opencontainers.image.created"="2026-03-19T17:02:39Z" "release"="1773939694"org.opencontainers.image.revision=d0c250a501ab44b94ebea3e751fcaa45749a08a2,org.opencontainers.image.created=2026-03-19T17:02:39Z
2026-04-01 19:23:05 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2026-04-01T19:16:43Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.3.3 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=67e4444020f495415ad83b44a8508db7e5010fc1 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-04-01T19:16:43Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.3.3 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2026-04-01 19:23:05 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2026-04-01 19:23:05 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-04-01 19:23:05 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2026-04-01 19:23:05 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2026-04-01 19:23:05 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2026-04-01 19:23:08 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2026-04-01 19:23:19 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2026-04-01 19:23:20 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2026-04-01 19:23:20 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2026-04-01 19:23:20 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2026-04-01 19:23:20 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2026-04-01 19:23:20 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2026-04-01 19:23:26 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-04-01 19:23:26 UTC (buildkit.dockerfile.v0)USER 1000
2026-04-01 19:23:26 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2026-04-01 19:23:26 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2026-04-01 19:23:26 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2026-04-01 19:23:26 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
2026-04-01 19:31:32 UTC
117 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:efcf1fee19825bde990c0eec5d46704aa241b1aeaee671f5e71f658f9f64cb9d - 31.06% (36.4 MB)
[#001] sha256:c0d6ba80693e04f6582d11712b303a70a14e30114569919d25fa0ced13193e86 - 0.01% (9.06 KB)
[#002] sha256:3c57b35d2d6492d241a57135f10b0feb4ce4b7313159fd5aa820a3d74e87fbe5 - 0.0% (607 Bytes)
[#003] sha256:f00cf819e35abae760a64d37c106fecd3d3e66e6f981c2b21a8916bc9e978dd0 - 0.0% (613 Bytes)
[#004] sha256:0f80fac1b4b9e744c15c816aae0a35aab48e209f74ea51934cd3e947c464ff10 - 51.54% (60.4 MB)
[#005] sha256:f953bd947af384ec269bd092cbc56b122e9ef099e4eddbbc20e624f19df1210f - 0.0% (123 Bytes)
[#006] sha256:cf77c0cd850484a2be4e56bd6a57290593faaeb7f56d5288c8ed0385587f7edd - 0.0% (5.42 KB)
[#007] sha256:4fad7e5b11625f520ed455063376c11061d5c84f2a65fa917b05b2422e19eddd - 0.18% (210 KB)
[#008] sha256:be02be624d0564532fe558d18095db7d867cb54e15d295e5077d2b6f99e53120 - 0.0% (516 Bytes)
[#009] sha256:001ae501445c81d6ad510408710ca041ecdb94cde55c8c697f3b97f1a3fc1c2b - 0.0% (1.1 KB)
[#010] sha256:18a067cc919471c472ad8014e120373f27a6a16ad144895b93c4c085bc51678c - 17.21% (20.2 MB)
[#011] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2026-03-19 17:04:53 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2026-03-19 17:04:53 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-03-19 17:04:53 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.7" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"
2026-03-19 17:04:53 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-03-19 17:04:53 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."
2026-03-19 17:04:53 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-03-19 17:04:53 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-03-19 17:04:53 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"
2026-03-19 17:04:53 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-03-19 17:04:53 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"
2026-03-19 17:04:53 UTC/bin/sh -c #(nop) ENV container oci
2026-03-19 17:04:54 UTC/bin/sh -c #(nop) COPY dir:ebed5b428b4d7b7bd491e92b7639c4e00e22e8a9993f0cbde996cf63a3263224 in /
2026-03-19 17:04:54 UTC/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.
2026-03-19 17:04:54 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-03-19 17:04:55 UTC/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json
2026-03-19 17:04:55 UTC/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json
2026-03-19 17:04:55 UTC/bin/sh -c #(nop) COPY file:819fd782db190e306ad6dedf6720029cee5c6639348ef8be1d7fa1456c09e46b in /usr/share/buildinfo/labels.json
2026-03-19 17:04:55 UTC/bin/sh -c #(nop) COPY file:819fd782db190e306ad6dedf6720029cee5c6639348ef8be1d7fa1456c09e46b in /root/buildinfo/labels.json
2026-03-19 17:04:55 UTC/bin/sh -c #(nop) LABEL "architecture"="aarch64" "vcs-type"="git" "vcs-ref"="d0c250a501ab44b94ebea3e751fcaa45749a08a2" "org.opencontainers.image.revision"="d0c250a501ab44b94ebea3e751fcaa45749a08a2" "build-date"="2026-03-19T17:04:41Z" "org.opencontainers.image.created"="2026-03-19T17:04:41Z" "release"="1773939694"org.opencontainers.image.revision=d0c250a501ab44b94ebea3e751fcaa45749a08a2,org.opencontainers.image.created=2026-03-19T17:04:41Z
2026-04-01 19:30:56 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2026-04-01T19:18:08Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.3.3 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=67e4444020f495415ad83b44a8508db7e5010fc1 io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-04-01T19:18:08Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.3.3 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2026-04-01 19:30:56 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2026-04-01 19:30:56 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-04-01 19:30:56 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2026-04-01 19:30:56 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2026-04-01 19:30:56 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2026-04-01 19:30:58 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2026-04-01 19:31:20 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2026-04-01 19:31:20 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2026-04-01 19:31:20 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2026-04-01 19:31:20 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2026-04-01 19:31:21 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2026-04-01 19:31:21 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2026-04-01 19:31:32 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-04-01 19:31:32 UTC (buildkit.dockerfile.v0)USER 1000
2026-04-01 19:31:32 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2026-04-01 19:31:32 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2026-04-01 19:31:32 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2026-04-01 19:31:32 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.